%define api 2.0
%define major 0

%define libname         %mklibname %{name} %{api} %{major}
%define develname       %mklibname -d %{name} %{api}

Summary:	Event logging framework for the desktop
Name:		zeitgeist
Version:	0.9.16
Release:	1
Source0:	http://launchpad.net/%{name}/0.9/%{version}/+download/%{name}-%{version}.tar.xz
License:	LGPLv3
Group:		System/Libraries
Url:		http://launchpad.net/zeitgeist
BuildRequires:	python-devel
BuildRequires:	xapian-devel
BuildRequires:	intltool
BuildRequires:	raptor2
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.18.0
BuildRequires:	python-rdflib
BuildRequires:	vala-devel vala-tools
Requires:	pygtk2.0
Requires:	python-dbus
Requires:	python-storm

%description
Zeitgeist is an "Event Logging Framework" that provides cross
application awareness of the desktop's activities.

You worked on a file, but you cannot remember where you saved it? You
visited a web page about basketball three days ago, but you cannot
find the URL in your browser's history? No problem, this is where
Zeitgeist enters the scene. It knows a lot about your activities and
has a feature rich D-Bus API which allows GUI applications like
gnome-zeitgeist, zeitgeistfs and others to present you your
activities in a readable way.

%package -n %{libname}
Group:          System/Libraries
Summary:        Libs for zeitgeist
Obsoletes:      %{_lib}%{name} < %{version}-%{release}

%description -n %{libname}
This is a library to provide data to %{name}


%package -n %{develname}
Group:          Development/C
Summary:        Headers for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}%{name}2-devel < %{version}-%{release}

%description -n %{develname}
This is a library to provide headers to the %{name}.


%prep
%setup -q
%apply_patches

%build
%configure2_5x --enable-fts
%make

%install
%makeinstall_std pkgconfigdir=%{_datadir}/pkgconfig
rm -f %{buildroot}%{_mandir}/man1/%{name}-datahub.1*
rm -rf %{buildroot}%{_prefix}/doc/

%files
%doc AUTHORS NEWS
%{_sysconfdir}/xdg/autostart/*.desktop
%{_bindir}/%{name}*
%{py_puresitedir}/%{name}
%{_libdir}/zeitgeist-fts
%{_datadir}/%{name}
%{_datadir}/bash-completion/*
%{_datadir}/dbus-1/services/*
%{_mandir}/man1/%{name}*.1*

%files -n %{libname}
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/*
%{_datadir}/pkgconfig/*.pc
%{_datadir}/vala

%changelog

* Fri Jan 15 2016 Denis Silakov <dsilakov@gmail.com> 0.9.16-1
- (7037fa4) Updated to 0.9.16, rebuild with raptor2


